AddProductC
Arithmetic Operations

Adds product of a constant and each sample of a source signal to the each sample of destination signal. More...

## Functions

NppStatus | nppsAddProductC_32f_Ctx (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal add product of signal times constant to destination signal. More...
NppStatus | nppsAddProductC_32f (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength)

## Detailed Description

Adds product of a constant and each sample of a source signal to the each sample of destination signal.

## Function Documentation

NppStatus nppsAddProductC_32f | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddProductC_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal add product of signal times constant to destination signal.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be multiplied by each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2018 NVIDIA Corporation